%global real_name erlzmq2
%global git_tag ec60b1d

Name:		erlang-%{real_name}
Version:	0
Release:	1.20110411git%{git_tag}%{?dist}
Summary:	Erlang binding for ZeroMQ

Group:		Development/Libraries
License:	MIT and BSD
# Build from git version, releases unavailable. Sources can be obtained using 'wget --no-check-certificate https://github.com/zeromq/erlzmq2/tarball/ec60b1d'
URL:		https://github.com/zeromq/erlzmq2
Source0:	zeromq-%{real_name}-%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	zeromq-devel >= 2.1
BuildRequires:	erlang-rebar
BuildRequires:	libuuid-devel
Requires:	zeromq >= 2.1
Requires:	erlang-erts >= R14A
Requires:	erlang-kernel
Requires:	erlang-stdlib

Patch0:		erlzmq-shared-lib.patch
%description

NIF based Erlang binding for ZeroMQ messaging library. 
This implementation is faster than port driver based.

%prep
%setup -q -n zeromq-%{real_name}-%{git_tag}

%patch0 -p 1

%build
rebar compile -v
rebar doc

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/erlzmq.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/erlzmq.app
install -m 644 ebin/erlzmq.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/
install -m 644 ebin/erlzmq_nif.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/

install -D -m 755 priv/erlzmq_drv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{real_name}-%{version}/priv/erlzmq_drv.so

install -D -m 644 include/erlzmq.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{real_name}-%{version}/include/erlzmq.hrl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README.md doc
%dir %{_libdir}/erlang/lib/%{real_name}-%{version}
%dir %{_libdir}/erlang/lib/%{real_name}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{real_name}-%{version}/priv
%dir %{_libdir}/erlang/lib/%{real_name}-%{version}/include
%{_libdir}/erlang/lib/%{real_name}-%{version}/priv/erlzmq_drv.so 
%{_libdir}/erlang/lib/%{real_name}-%{version}/include/erlzmq.hrl
%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/erlzmq.beam
%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/erlzmq_nif.beam 
%{_libdir}/erlang/lib/%{real_name}-%{version}/ebin/erlzmq.app 


%changelog
* Tue Apr 12 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0.1.20110411gitec60b1d
- Update code
- Fix spec errors
- Add BSD license in spec

* Fri Apr 08 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0-1.20110408gita2b0693
- Update package from latest commit (Fixed build problem on i686)

* Thu Apr 07 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0-2.20110406gitfd99a31
- Fix size_t defenition for correct build on i686
- Add debuginfo

* Wed Apr 06 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0-1.20110406gitfd99a31
- Build from updated sources. Add index number for socket type.

* Sat Mar 26 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0-2.20110323gitc459825
- Fix requires
- Add docs

* Thu Mar 24 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0-1.20110323gitc459825
- Initial build.
